DefaultGrailsDomainClass (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.core

## [Java] Class DefaultGrailsDomainClass

- org.grails.core.DefaultGrailsDomainClass

- All Implemented Interfaces and Traits:
    ComponentCapableDomainClass, GrailsDomainClass

      @java.lang.SuppressWarnings("rawtypes")
      public class DefaultGrailsDomainClass
      extends AbstractGrailsClass

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsDomainClass (java.lang.Class<?> clazz, java.util.Map<java.lang.String, java.lang.Object> defaultConstraints)` Constructor.
    `DefaultGrailsDomainClass (java.lang.Class<?> clazz)` Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addComponent(GrailsDomainClass component)`
    `` | `java.util.Map` | `getAssociationMap()` Retrieves the association map
    `` | `java.util.List<GrailsDomainClassProperty>` | `getAssociations()`
    `` | `java.util.List<GrailsDomainClass>` | `getComponents()`
    `` | `java.util.Map` | `getConstrainedProperties()`
    `` | `java.lang.String` | `getFieldName(java.lang.String propertyName)`
    `` | `GrailsDomainClassProperty` | `getIdentifier()`
    `` | `java.util.Map` | `getMappedBy()`
    `` | `java.lang.String` | `getMappingStrategy()`
    `` | `java.lang.String` | `getName()`
    `` | `GrailsDomainClassProperty[]` | `getPersistentProperties()`
    `` | `GrailsDomainClassProperty` | `getPersistentProperty(java.lang.String name)`
    `` | `GrailsDomainClassProperty[]` | `getProperties()`
    `` | `GrailsDomainClassProperty` | `getPropertyByName(java.lang.String name)`
    `` | `java.lang.String` | `getPropertyName()`
    `` | `java.lang.Class<?>` | `getRelatedClassType(java.lang.String propertyName)`
    `` | `java.util.Set` | `getSubClasses()`
    `` | `org.springframework.validation.Validator` | `getValidator()`
    `` | `GrailsDomainClassProperty` | `getVersion()`
    `` | `boolean` | `hasPersistentProperty(java.lang.String propertyName)`
    `` | `boolean` | `hasSubClasses()`
    `` | `boolean` | `isBidirectional(java.lang.String propertyName)`
    `` | `boolean` | `isManyToOne(java.lang.String propertyName)`
    `` | `boolean` | `isOneToMany(java.lang.String propertyName)`
    `` | `boolean` | `isOwningClass(java.lang.Class domainClass)`
    `` | `boolean` | `isRoot()`
    `` | `void` | `refreshConstraints()`
    `` | `void` | `setMappingStrategy(java.lang.String strategy)`
    `` | `void` | `setValidator(org.springframework.validation.Validator validator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultGrailsDomainClass(java.lang.Class<?> clazz, java.util.Map<java.lang.String, java.lang.Object> defaultConstraints)

      Constructor.

      Parameters:
        clazz
        defaultConstraints

    - #### public DefaultGrailsDomainClass(java.lang.Class<?> clazz)

      Constructor.

      Parameters:
        clazz

  - ### Method Detail

    - #### public void addComponent(GrailsDomainClass component)

    - #### public java.util.Map getAssociationMap()

      Retrieves the association map

    - #### public java.util.List<GrailsDomainClassProperty> getAssociations()

    - #### public java.util.List<GrailsDomainClass> getComponents()

    - #### @java.lang.SuppressWarnings("unchecked") public java.util.Map getConstrainedProperties()

    - #### public java.lang.String getFieldName(java.lang.String propertyName)

    - #### public GrailsDomainClassProperty getIdentifier()

    - #### public java.util.Map getMappedBy()

    - #### public java.lang.String getMappingStrategy()

    - #### @java.lang.Override public java.lang.String getName()

    - #### public GrailsDomainClassProperty[] getPersistentProperties()

    - #### public GrailsDomainClassProperty getPersistentProperty(java.lang.String name)

    - #### public GrailsDomainClassProperty[] getProperties()

    - #### public GrailsDomainClassProperty getPropertyByName(java.lang.String name)

    - #### @java.lang.Override public java.lang.String getPropertyName()

    - #### public java.lang.Class<?> getRelatedClassType(java.lang.String propertyName)

    - #### @java.lang.SuppressWarnings("unchecked") public java.util.Set getSubClasses()

    - #### public org.springframework.validation.Validator getValidator()

    - #### public GrailsDomainClassProperty getVersion()

    - #### public boolean hasPersistentProperty(java.lang.String propertyName)

    - #### public boolean hasSubClasses()

    - #### public boolean isBidirectional(java.lang.String propertyName)

    - #### public boolean isManyToOne(java.lang.String propertyName)

    - #### public boolean isOneToMany(java.lang.String propertyName)

    - #### public boolean isOwningClass(java.lang.Class domainClass)

    - #### public boolean isRoot()

    - #### public void refreshConstraints()

    - #### public void setMappingStrategy(java.lang.String strategy)

    - #### public void setValidator(org.springframework.validation.Validator validator)